DOVEADM-REBUILD(1)

NAME
doveadm-rebuild - Commands related to rebuilding various aspects of mails matching given search query.

SYNOPSIS
doveadm [-Dv] [-f formatter] rebuild <command> [-S socket_path] search_query
doveadm [-Dv] [-f formatter] rebuild <command> [-S socket_path] -A search_query
doveadm [-Dv] [-f formatter] rebuild <command> [-S socket_path] -F file search_query
doveadm [-Dv] [-f formatter] rebuild <command> [-S socket_path] -u user search_query

DESCRIPTION
The rebuild attachments command is used to rebuilds attachment presence. doveadm(1) will print the message's uid for each match.
When used with the -A or -u wildcard options, doveadm(1) will print the fields username and uid for each matching message.

In the first form, doveadm(1) will execute the rebuild action with the environment of the logged in system user.

In the second form, the command will be performed for all users.

In the third form, the command will be performed for all users listed in the given file.

In the fourth form, only matching mails of the given user(s) will be rebuilded @INCLUDE:global-options-formatter@

This command uses by default the output formatter flow (without the key= prefix).

Command specific options: @INCLUDE:option-A@ @INCLUDE:option-F-file@ @INCLUDE:option-S-socket@ @INCLUDE:option-u-user@

ARGUMENTS

search_query
    Resets attachment indicator for messages matching this search query. See doveadm-search-query(7) for details.

EXAMPLE
This example demonstrates how to rebuild user bob's attachment status.

doveadm rebuild attachments -u bob ALL
1
2
3
@INCLUDE:reporting-bugs@

SEE ALSO
doveadm(1), doveadm-search-query(7)